org.keycloak.saml

## Class SAML2LogoutRequestBuilder

- java.lang.Object
- - org.keycloak.saml.SAML2LogoutRequestBuilder

-     public class SAML2LogoutRequestBuilder
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `assertionExpiration`
    `protected String` | `destination`
    `protected String` | `issuer`
    `protected String` | `sessionIndex`
    `protected String` | `userPrincipal`
    `protected String` | `userPrincipalFormat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML2LogoutRequestBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SAML2LogoutRequestBuilder` | `assertionExpiration(int assertionExpiration)` Length of time in seconds the assertion is valid for See SAML core specification 2.5.1.2 NotOnOrAfter
    `Document` | `buildDocument()`
    `SAML2LogoutRequestBuilder` | `destination(String destination)`
    `SAML2LogoutRequestBuilder` | `issuer(String issuer)`
    `SAML2LogoutRequestBuilder` | `sessionIndex(String index)`
    `SAML2LogoutRequestBuilder` | `userPrincipal(String nameID, String nameIDformat)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userPrincipal

          protected String userPrincipal

    - #### userPrincipalFormat

          protected String userPrincipalFormat

    - #### sessionIndex

          protected String sessionIndex

    - #### assertionExpiration

          protected long assertionExpiration

    - #### destination

          protected String destination

    - #### issuer

          protected String issuer

  - ### Constructor Detail

    - #### SAML2LogoutRequestBuilder

          public SAML2LogoutRequestBuilder()

  - ### Method Detail

    - #### destination

          public SAML2LogoutRequestBuilder destination(String destination)

    - #### issuer

          public SAML2LogoutRequestBuilder issuer(String issuer)

    - #### assertionExpiration

          public SAML2LogoutRequestBuilder assertionExpiration(int assertionExpiration)

      Length of time in seconds the assertion is valid for See SAML core specification 2.5.1.2 NotOnOrAfter
      Parameters:
        `assertionExpiration` - Number of seconds the assertion should be valid
      Returns:

    - #### userPrincipal

          public SAML2LogoutRequestBuilder userPrincipal(String nameID,
                                                         String nameIDformat)

    - #### sessionIndex

          public SAML2LogoutRequestBuilder sessionIndex(String index)

    - #### buildDocument

          public Document buildDocument()
                                 throws ProcessingException,
                                        ConfigurationException,
                                        ParsingException

      Throws:
        `ProcessingException`
        `ConfigurationException`
        `ParsingException`

Copyright © 2016 JBoss by Red Hat. All rights reserved.